@import 'styles/main.scss';

.appbar {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 100vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4px 16px;
  gap: 8px;
  height: 56px;
  background: $background-light;
  z-index: 100;


  &__user {
    user-select: none;
    position: relative;
    display: flex;
    gap: 20px;
    align-items: center;
    cursor: pointer;
  }

  &__userImageWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border: 1.5px solid #E0E0E0;
    border-radius: 50%;
  }

  &__userImage {
    width: 42px;
    height: 42px;
    border-radius: 50%;
    object-fit: cover;
  }

  &__chevronBtn {
    background: transparent !important;
  }

  &__chevron {
    width: 16px;
    margin-left: -10px;
    transition: 0.3s ease all;
  }

  &--active {
    .appbar {
      &__chevron {
        transform: rotateX(180deg);
      }
    }
  }
}